bloodhound-import

Python based BloodHound data importer

Showing:

Popularity

Downloads/wk

0

GitHub Stars

97

Maintenance

Last Commit

2mos ago

Contributors

7

Package

Dependencies

0

License

MIT

Categories

Readme

bloodhound-import

Python 2.7 and 3 compatible PyPI version License: MIT

Bloodhound-import is a tool to import bloodhound json files into neo4j.

Dependencies and installation

Bloodhound-import is compatible python 3.7+ and the latest version is only compatible with bloodhound 3 imports. It requires the neo4j-driver library.

Install with pip install bloodhound_import or clone the git and install with sudo python setup.py install.

bloodhound-import will be installed as a global command. Usage is as follows:

usage: bloodhound-import.py [-h] [-du DATABASE_USER] [-dp DATABASE_PASSWORD]
                            [--database DATABASE] [-p PORT] [-v]
                            files [files ...]

Example: bloodhound-import -du neo4j -dp neo4j ~/Desktop/SessionLoop_20190115133114*.json

If the -du and -dp options are not specified, the tool will try to auto detect these values from the bloodhound config file.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100
No reviews found
Be the first to rate

Alternatives

No alternatives found

Tutorials

No tutorials found
Add a tutorial